Package Details: android-sdk 26.1.1-2

Git Clone URL: https://aur.archlinux.org/android-sdk.git (read-only, click to copy)
Package Base: android-sdk
Description: Google Android SDK
Upstream URL: https://developer.android.com/studio/releases/sdk-tools.html
Keywords: android development
Licenses: custom
Submitter: None
Maintainer: dreamingincode
Last Packager: dreamingincode
Votes: 1486
Popularity: 1.37
First Submitted: 2007-11-12 19:26 (UTC)
Last Updated: 2022-03-22 20:58 (UTC)

Dependencies (22)

Sources (5)

Pinned Comments

dreamingincode commented on 2020-03-11 07:51 (UTC) (edited on 2020-03-11 08:50 (UTC) by dreamingincode)

@benedikt

cmdline-tools should be a different package because it's installed at android-sdk/cmdline-tools/latest, not android-sdk/tools of this package. They show up as different packages in Android Studio SDK manager as well, and they can be installed side-by-side.

Update: The new package has been published at https://aur.archlinux.org/packages/android-sdk-cmdline-tools-latest/

dreamingincode commented on 2017-04-18 11:40 (UTC) (edited on 2017-04-19 07:28 (UTC) by dreamingincode)

I'm going to update this package to 26.0.1 (it has been long-outdated), according to https://dl.google.com/android/repository/repository2-1.xml which is used by Android Studio. Some tools have been removed by upstream in this update (namely the standalone SDK Manager's GUI), and you may want to check against https://developer.android.com/studio/releases/sdk-tools.html for the breaking changes before this update. If you are using an AUR helper and you want to stay on the old version, consult your AUR helper's manual.

Latest Comments

1 2 3 4 5 6 .. 44 Next › Last »

AkechiShiro commented on 2023-11-06 09:44 (UTC)

I just ran into this error :

error: android-sdk: signature from "Pedro Henrique Lara Campos <root@pedrohlc.com>" is invalid
:: File /var/cache/pacman/pkg/android-sdk-26.1.1-2.1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

limokig421 commented on 2023-10-09 05:50 (UTC)

okey, my workaround was to instead install https://aur.archlinux.org/packages/android-sdk-cmdline-tools-latest and use the sdkmanager provided to install the sdk

limokig421 commented on 2023-10-08 21:19 (UTC)

hey @dreieck - did you manage to solve that issue? I've ran into it too and an am unsure what to do next..

dreieck commented on 2023-09-05 14:51 (UTC)

When I run avdmanager, it fails with:

Exception in thread "main" java.lang.NoClassDefFoundError: javax/xml/bind/annotation/XmlSchema
    at com.android.repository.api.SchemaModule$SchemaModuleVersion.<init>(SchemaModule.java:156)
    at com.android.repository.api.SchemaModule.<init>(SchemaModule.java:75)
    at com.android.sdklib.repository.AndroidSdkHandler.<clinit>(AndroidSdkHandler.java:81)
    at com.android.sdklib.tool.AvdManagerCli.run(AvdManagerCli.java:213)
    at com.android.sdklib.tool.AvdManagerCli.main(AvdManagerCli.java:200)
Caused by: java.lang.ClassNotFoundException: javax.xml.bind.annotation.XmlSchema
    at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:641)
    at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:188)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
    ... 5 more

java --version:

openjdk 20.0.2 2023-07-18
OpenJDK Runtime Environment (build 20.0.2+9)
OpenJDK 64-Bit Server VM (build 20.0.2+9, mixed mode, sharing)

Regards!

tdworz commented on 2023-08-11 18:02 (UTC) (edited on 2023-08-12 11:37 (UTC) by tdworz)

Anyone else new to Android SDK command line tools: you probably don't want this package! The upstream of this package is deprecated and has not received updates since 2017. Newer SDK tools are split up in AUR packages like android-sdk-cmdline-tools-latest, android-platform, android-sdk-platform-tools, android-sdk-build-tools, and android-emulator. Check out this page for a list of tools by package: https://developer.android.com/tools

insequent commented on 2022-03-21 05:58 (UTC)

Any plans to replace ANDROID_HOME with ANDROID_SDK_ROOT, since it's deprecated? https://developer.android.com/studio/command-line/variables#android_sdk_root

qualphey commented on 2020-10-23 11:35 (UTC)

@ulidtko Ah yes, that worked. Thank you! My bad... :P

ulidtko commented on 2020-10-23 11:30 (UTC)

@qualphey as you can see from pacman -Ql android-sdk, it installs its tools under /opt/android-sdk/tools/bin -- so you have to ensure that dir appears on your $PATH.

qualphey commented on 2020-10-23 11:28 (UTC)

Does the sdkmanager get installed with this package? I get bash: sdkmanager: command not found when trying to run it? What am I missing?

relrel commented on 2020-08-23 19:19 (UTC)

@ulidtko @dreamingincode After encountering the same issue, running the following worked for me:

JAVA_HOME=/opt/android-studio/jre/ sdkmanager

It uses Android Studio's built-in java instead of the globally installed one. I haven't dig to the root cause (probably java versioning issue), but I think this issue should be resolved appropriately in the sdkmanager shell wrapper.